library(shiny)

shinyUI(fluidPage(

  titlePanel("Central Limit Theorem"),

  sidebarLayout(
      sidebarPanel(
           radioButtons("whichgraph", "Type of Graphics",
               c("ggplot2" = "ggplot2","base" = "base"),inline=TRUE),
           uiOutput("checkGraph"), 
           selectInput("dataset", "Choose an Example:", 
                  choices = c("Bernoulli","Exponential","t")),
           conditionalPanel( condition = "input.dataset == 'Bernoulli'",
                  numericInput("p","Success Probability p",  
                  min=0.1,max=0.9,value=0.5)),                                                        
           sliderInput("n","Number of Observations in Mean:",
                  min=1, max=50, value=1,step=2, 
                  animate=animationOptions(interval = 500)),
           uiOutput("appinfo"),width=3
        ),
  mainPanel(
      tabsetPanel(
          tabPanel("Graphs",
              uiOutput("text2"),
              plotOutput("plot1",width="450px",height="450px"),
              uiOutput("text1")),
          tabPanel("Probabilities",
              uiOutput("table1"))
      )     
    )
  ),  
  uiOutput("explainText")    
))

